Bug 247185 - need biarch support for utime syscall
need biarch support for utime syscall
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
7
All Linux
high Severity medium
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 230530
  Show dependency treegraph
 
Reported: 2007-07-05 16:28 EDT by Roland McGrath
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.5.16-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-06 13:59:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Testcase, build with -m32 on x86_64. (395 bytes, text/plain)
2007-08-03 10:50 EDT, Jan Kratochvil
no flags Details

  None (edit)
Description Roland McGrath 2007-07-05 16:28:40 EDT
SSIA
Comment 1 Roland McGrath 2007-07-05 16:32:42 EDT
fixed upstream
Comment 2 Jan Kratochvil 2007-08-03 10:50:56 EDT
Created attachment 160616 [details]
Testcase, build with -m32 on x86_64.
Comment 3 Jan Kratochvil 2007-08-03 10:52:30 EDT
Fixed in Rawhide strace-4.5.16-1.fc8:
* Fri Aug  3 2007 Roland McGrath <roland@redhat.com> - 4.5.16-1
- fix utime for biarch (#247185)

and upstream:

2007-07-05  Roland McGrath  <roland@redhat.com>

        * file.c (sys_utime): Use personality_wordsize to handle biarch.
        Fixes RH#247185.
Comment 4 Fedora Update System 2007-08-06 13:59:22 EDT
strace-4.5.16-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.